Name:          kunststoff
Version:       2.0.2
Release:       %mkrel 6
Summary:       Kunststoff Swing Look&Feel package
Group:         Development/Java
License:       LGPL
Url:           http://www.incors.org/archive/
Source0:       http://ftp.de.debian.org/debian/pool/main/k/kunststoff/kunststoff_2.0.2.orig.tar.gz
Source1:       kunststoff-2.0.2-build.xml
Source2:       kunststoff-2.0.2-ant.properties
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: jpackage-utils
Requires:      jpackage-utils
BuildArch:     noarch

%description
The Kunststoff Look & Feel is a completely free Look & Feel for Java
Swing applications. It supports many widgets (e.g JInnerFrame,
JProgressBar, JToolBar) and provides customizable gradient colors.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
The Kunststoff Look&Feel is a completely free Look&Feel for Java(tm) Swing applications.

This package contains javadoc for %{name}

%prep
%setup -q -c

cp -p %{SOURCE1} build.xml
cp -p %{SOURCE2} build.properties

%build

ant jar javadoc

%install
mkdir -p %{buildroot}%{_javadir}
install -pm 644 kunststoff-%{version}.jar \
  %{buildroot}%{_javadir}/

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/kunststoff-%{version}
cp -pr apidocs/* %{buildroot}%{_javadocdir}/kunststoff-%{version}
ln -s kunststoff-%{version} %{buildroot}%{_javadocdir}/kunststoff

%files
%{_javadir}/kunststoff-%{version}.jar
%{_javadir}/kunststoff.jar
%doc licence.txt

%files javadoc
%{_javadocdir}/kunststoff-%{version}
%{_javadocdir}/kunststoff



%changelog
* Sat Feb 06 2016 umeabot <umeabot> 2.0.2-6.mga6
+ Revision: 941412
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-5.mga5
+ Revision: 747135
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2-4.mga5
+ Revision: 681239
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0.2-3.mga4
+ Revision: 506756
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.0.2-2.mga3
+ Revision: 356567
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 27 2011 dmorgan <dmorgan> 2.0.2-1.mga2
+ Revision: 135656
- Remove useless macros

  + gil <gil>
    - imported package kunststoff


* Wed Jun 15 2011 gil <gil> 2.0.2-0.%%mkrel
- initial rpm

